{"openapi":"3.0.1","info":{"title":"3CX PhoneSystem Webclient API","version":"v1"},"paths":{"/webclient/api/Login/GetAccessToken":{"post":{"tags":["Login"],"operationId":"Login_GetAccessToken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginViewModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LoginViewModel"}},"text/plain":{"schema":{"$ref":"#/components/schemas/LoginViewModel"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AuthResponse"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AuthResponse"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/AuthResponse"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/AuthResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/AuthResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"500":{"description":"Server Error"}}}},"/webclient/api/Logout":{"post":{"tags":["Logout"],"operationId":"Logout_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/webclient/api/MyPhone":{"post":{"tags":["MyPhone"],"operationId":"MyPhone_Post","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginData"}}}},"401":{"description":"Unauthorized"}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/webclient/api/MyPhone/session":{"post":{"tags":["MyPhone"],"operationId":"MyPhone_Session","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginFingerprintVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LoginFingerprintVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/LoginFingerprintVM"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginData"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"503":{"description":"Server Error"}},"security":[{"bearerAuth":[]}]}},"/webclient/api/MyPhone/log":{"post":{"tags":["MyPhone"],"operationId":"MyPhone_Log","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogMessageVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LogMessageVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/LogMessageVM"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/webclient/api/Phonebook/import":{"post":{"tags":["Phonebook"],"operationId":"Phonebook_Import","parameters":[{"name":"toCompanyPhonebook","in":"query","schema":{"type":"boolean"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResult"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"bearerAuth":[]}]}},"/webclient/api/Phonebook/clear":{"post":{"tags":["Phonebook"],"operationId":"Phonebook_Clear","parameters":[{"name":"companyPhonebook","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"bearerAuth":[]}]}},"/webclient/api/ProfileImage":{"post":{"tags":["ProfileImage"],"operationId":"ProfileImage_Upload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"string","format":"binary"}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["ProfileImage"],"operationId":"ProfileImage_DeleteImage","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"bearerAuth":[]}]}},"/SignIn/options":{"get":{"tags":["SignIn"],"operationId":"SignIn_Options","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignInOptions"}}}}}}},"/connect/token":{"post":{"tags":["Token"],"operationId":"Token_Token","parameters":[{"name":"Authorization","in":"header","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["grant_type"],"type":"object","properties":{"client_id":{"type":"string"},"client_secret":{"type":"string"},"grant_type":{"type":"string"},"refresh_token":{"type":"string"},"expires_in_minutes":{"type":"integer","format":"int32","default":0}}},"encoding":{"client_id":{"style":"form"},"client_secret":{"style":"form"},"grant_type":{"style":"form"},"refresh_token":{"style":"form"},"expires_in_minutes":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"text/plain":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}}}},"/connect/{tenant}/token":{"post":{"tags":["Token"],"operationId":"Token_TenantToken","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["grant_type"],"type":"object","properties":{"client_id":{"type":"string"},"client_secret":{"type":"string"},"grant_type":{"type":"string"},"refresh_token":{"type":"string"},"expires_in_minutes":{"type":"integer","format":"int32","default":0}}},"encoding":{"client_id":{"style":"form"},"client_secret":{"style":"form"},"grant_type":{"style":"form"},"refresh_token":{"style":"form"},"expires_in_minutes":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"text/plain":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/TokenResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}}}}},"components":{"schemas":{"AuthResponse":{"type":"object","properties":{"Status":{"type":"string","nullable":true},"Token":{"$ref":"#/components/schemas/TokenResponse"}},"additionalProperties":false},"ImportError":{"required":["Comment","Line","Reason"],"type":"object","properties":{"Line":{"type":"integer","format":"int32"},"Reason":{"minLength":1,"type":"string"},"Comment":{"minLength":1,"type":"string"}},"additionalProperties":false},"ImportResult":{"required":["ErrorLines","importCount","nowarnings","success","WarningLines"],"type":"object","properties":{"importCount":{"type":"integer","format":"int32"},"ErrorLines":{"type":"array","items":{"$ref":"#/components/schemas/ImportError"},"readOnly":true},"WarningLines":{"type":"array","items":{"$ref":"#/components/schemas/ImportWarning"},"readOnly":true},"Exception":{"type":"string","nullable":true},"success":{"type":"boolean","readOnly":true},"nowarnings":{"type":"boolean","readOnly":true}},"additionalProperties":false},"ImportWarning":{"required":["Warning"],"type":"object","properties":{"Warning":{"minLength":1,"type":"string"}},"additionalProperties":false},"LogMessageVM":{"type":"object","properties":{"message":{"type":"string","nullable":true},"stack":{"type":"string","nullable":true}},"additionalProperties":false},"LoginData":{"required":["addpTimeout","licenseProduct","pass","sessionKey","version","welcome"],"type":"object","properties":{"sessionKey":{"minLength":1,"type":"string"},"pass":{"minLength":1,"type":"string"},"addpTimeout":{"type":"integer","format":"int32"},"licenseType":{"type":"integer","format":"int32","nullable":true},"licenseProduct":{"minLength":1,"type":"string"},"licenseExpiredAt":{"type":"string","format":"date-time","nullable":true},"version":{"minLength":1,"type":"string"},"welcome":{"$ref":"#/components/schemas/LoginWelcome"}},"additionalProperties":false},"LoginFingerprintVM":{"required":["isHuman","name","version"],"type":"object","properties":{"name":{"minLength":1,"type":"string"},"version":{"minLength":1,"type":"string"},"isHuman":{"type":"boolean"}},"additionalProperties":false},"LoginViewModel":{"required":["Password","Username"],"type":"object","properties":{"Username":{"minLength":1,"type":"string"},"Password":{"maxLength":50,"minLength":1,"type":"string"}},"additionalProperties":false},"LoginWelcome":{"enum":[0,1,2],"type":"integer","format":"int32","x-enumNames":["NoDialog","ProvisionSmartphone","BrowserExtensionDeprecated"],"x-enum-varnames":["NoDialog","ProvisionSmartphone","BrowserExtensionDeprecated"]},"SignInOptions":{"type":"object","properties":{"IsMicrosotSignInAllowed":{"type":"boolean"},"IsGoogleSignInAllowed":{"type":"boolean"}},"additionalProperties":false},"TokenResponse":{"required":["access_token","expires_in","refresh_token","token_type"],"type":"object","properties":{"token_type":{"minLength":1,"type":"string"},"expires_in":{"type":"integer","format":"int32"},"access_token":{"minLength":1,"type":"string"},"refresh_token":{"minLength":1,"type":"string"}},"additionalProperties":false}},"securitySchemes":{"bearerAuth":{"type":"http","description":"JWT Authorization header using the Bearer scheme. \r\n\r\n Enter your token in the text input below.\r\n\r\nExample: \"1safsfsdfdfd\"","scheme":"bearer","bearerFormat":"JWT"}}}}